import {useCallback, useRef, useState} from "react";
import { actionPlaylistFindByOwner} from "../../actions";
import {useDropzone} from "react-dropzone";
import {connect} from "react-redux";
import {actionFullUploadPlaylists} from "../../actions";
import {actionUploadTrack} from "../../actions/no-playlist-track-actions";


// function PlaylistDropZone({ onLoad, children }) {
//     const onDrop = useCallback((acceptedFiles) => {
//         // Do something with the files
//         onLoad(acceptedFiles);
//
//     }, []);
//     const { getRootProps, getInputProps, isDragActive } = useDropzone({ onDrop });
//
//     return (
//         <div {...getRootProps()}>
//             <input {...getInputProps()} />
//             {isDragActive ? (
//                 <p>Перетащите файл сюда ...</p>
//             ) : (
//                 <p>Для добавления трэка перетащите файлы в плейлист</p>
//             )}
//             {children}
//         </div>
//     );
//
// }

function PlaylistDropZone({playlist={}, onLoad, children }) {
    const files = useRef(playlist.tracks)

    const onDrop = useCallback( (acceptedFiles) => {
         files.current = ([...files.current,
            ...acceptedFiles
        ])
        onLoad(files.current);

    }, []);
    const { getRootProps, getInputProps, isDragActive } = useDropzone({ onDrop });

    return (
        <div {...getRootProps()}>
            <input {...getInputProps()} />
            {isDragActive ? (
                <p>Перетащите файл сюда ...</p>
            ) : (
                <p>Для добавления трэка перетащите файлы в плейлист</p>
            )}
            {children}
        </div>
    );

}



export const CPlaylistDropZone = connect(state => ({playlist: state.promise.playlistById?.payload || []}), {onLoad: actionFullUploadPlaylists})(PlaylistDropZone)


